## Version Information Version Information — Variables and functions to check the GXPS version |

## Functions

#define | GXPS_CHECK_VERSION()

## Types and Values

#define | GXPS_MAJOR_VERSION
#define | GXPS_MINOR_VERSION
#define | GXPS_MICRO_VERSION
#define | GXPS_VERSION_STRING

## Includes

    #include <libgxps/gxps.h>

## Description

GXPS provides version information, primarily useful in configure checks for builds that have a configure script. Applications will not typically use the features described here.

## Functions

### GXPS_CHECK_VERSION()

    #define             GXPS_CHECK_VERSION(major,minor,micro)

Checks the version fo the GXPS library

#### Parameters

major | major version (e.g. 0 for version 0.1.2) |
minor | minor version (e.g. 1 for version 0.1.2) |
micro | micro version (e.g. 2 for version 0.1.2) |

#### Returns

`TRUE` if the version of the GXPS header files is the same as or newer than the passed-in version

## Types and Values

### GXPS_MAJOR_VERSION

    #define GXPS_MAJOR_VERSION (0)

The major version number of the GXPS header files (e.g. in GXPS version 0.1.2 this is 0.)

### GXPS_MINOR_VERSION

    #define GXPS_MINOR_VERSION (2)

The major version number of the GXPS header files (e.g. in GXPS version 0.1.2 this is 1.)

### GXPS_MICRO_VERSION

    #define GXPS_MICRO_VERSION (4)

The micro version number of the GXPS header files (e.g. in GXPS version 0.1.2 this is 2.)

### GXPS_VERSION_STRING

    #define GXPS_VERSION_STRING "0.2.4"

The version number of the GXPS library as a string

Since: 0.2.1